Skip to main content
`Ctrl`+`K`

# numpy.matrix.max

method

matrix.max(axis=None, out=None)

  Return the maximum value along an axis.

  Parameters:
    See `amax` for complete descriptions

  See also

  `amax`, `ndarray.max`

  Notes

  This is the same as `ndarray.max`, but returns a `matrix` object where `ndarray.max` would return an ndarray.

  Examples

      >>> x = np.matrix(np.arange(12).reshape((3,4))); x
      matrix([[ 0,  1,  2,  3],
              [ 4,  5,  6,  7],
              [ 8,  9, 10, 11]])
      >>> x.max()
      11
      >>> x.max(0)
      matrix([[ 8,  9, 10, 11]])
      >>> x.max(1)
      matrix([[ 3],
              [ 7],
              [11]])